import 'package:flutter/widgets.dart';
import 'package:flutter_suspense/src/framework.dart';
import 'package:flutter_suspense/src/notifier.dart';
import 'package:mockito/mockito.dart';

class MockFuture extends Mock implements Future {}

class MockBuildContext extends Mock implements BuildContext {}

class MockNotifier<T> extends Mock implements Notifier<T> {}

class MockSuspenseController extends Mock implements SuspenseController {}

class MockListener<T> extends Mock {
  void call(T value);
}

class Dispose extends Mock {
  void call();
}

class MockErrorBuilder extends Mock {
  Widget call(FlutterErrorDetails details);
}

class MockOnError extends Mock {
  void call(FlutterErrorDetails details);
}
